Skip to navigation

List Widgets

Returns a list of Widgets. Optional parameters can be passed in.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

widget_template_kindstringOptional
The kind of widget template.
widget_template_uuidstringOptionalformat: "uuid"
The identifier for a specific widget template.
namestringOptional

The URL-encoded name of the widget.

name:inlist of stringsOptional

Use to pass in comma-separated list of widget names. Example: /widgets?name:in=test-widget-name,header%20images

channel_id:inlist of integersOptional

A comma-separated list of channel ids to filter the results by.

site_id:inlist of integersOptional

A comma-separated list of site IDs to filter the results by.

Response

A list of widgets.
datalist of objectsOptional
metaobjectOptional
Data about the response, including pagination and collection totals.

Errors

422
Unprocessable Entity Error